# shouldResolveConsistentlyWith

@Incubating
abstract fun shouldResolveConsistentlyWith(versionsSource: Configuration): Configuration

Tells that this configuration, when resolved, should resolve versions consistently from the resolution result of another resolvable configuration. For example, it's expected that the versions of the runtime classpath are the same as the versions from the compile classpath.

#### Return

this configuration

#### Since

6.8

#### Parameters

versionsSource

another resolvable configuration to use as reference for versions